Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Interface IDominoSession

All Superinterfaces:
  IGroupwareSession, ISession, java.io.Serializable

public interface IDominoSession
extends IGroupwareSession

Domino session interface. The session is the entry point into the API and provides a way to connect to a Compoze Domino Service.

An example of creating a Domino session follows

Sample code:

    /**
     * The <code>openSession</code> method demonstrates how to open a session with
     * the Domino provider and use some basic methods in the Domino package.
     *
     * @throws  CollaborationException  if the session factory could not instantiate
     *          a session with the given parameters, or if there was an error
     *          retrieving folders, setting properties, or sending a message.
     */
    public  void    openSession
    (
    )
    throws  CollaborationException
        {
        HashMap props = new HashMap ();

        props.put (ISession.PROP_PROVIDER, IDominoSession.INTERNAL_NAME);
        props.put (IDominoSession.PROP_SERVICE_URL, "server");
        props.put (IDominoSession.PROP_USER_USERNAME, "username");
        props.put (IDominoSession.PROP_USER_PASSWORD, "password");

        IDominoSession session = (IDominoSession) SessionFactory.createSession (
            props);

        session.login ();

        System.out.println ("Session: " + session);

        session.close ();
        }

Field Summary
`static java.lang.String` | `INTERNAL_NAME` The internal name of the Domino provider (passed when creating a session).
`static java.lang.String` | `PROP_DOMINO_LOOKUP_SERVER` Optional- The name of a machine in the Notes domain that will be used to lookup the specified user's mailbox information, such as database and server name to connect to (defaults to the same machine as the Domino Service).
`static java.lang.String` | `PROP_DOMINO_MAILBOX` Optional- The name of a mailbox to connect to (defaults to username).
`static java.lang.String` | `PROP_PROXY_PASSWORD` Optional- The password for the user to log on to the proxy server.
`static java.lang.String` | `PROP_PROXY_PORT` Optional- The port number which the proxy server listens to.
`static java.lang.String` | `PROP_PROXY_URL` Optional- The hostname of the proxy server as it can be resolved from this machine.
`static java.lang.String` | `PROP_PROXY_USERNAME` Optional- The username to log on to the proxy server.
`static java.lang.String` | `PROP_SERVICE_URL` Required- The hostname of the Compoze Domino Service machine as it can be resolved from this machine.
`static java.lang.String` | `PROP_SOCKET_TIMEOUT_MS` Optional- The setting for socket timeout to use on HttpClient.
`static java.lang.String` | `PROP_USER_PASSWORD` Required- The Internet password of the user that will access the Domino mailbox.
`static java.lang.String` | `PROP_USER_USERNAME` Required- The username of the user that will access the Domino mailbox.
`static java.lang.String` | `PROP_VERSION_CHECK` Optional- The setting for whether or not service version checking will be performed.

Fields inherited from interface com.compoze.collab.ISession
`PROP_ADMIN_LOCALE, PROP_AUTO_FETCH, PROP_CACHE_DEPENDENCY_CHECK_MILLIS, PROP_CACHE_ENABLED, PROP_CACHE_QUERY_MAX, PROP_CACHE_UPDATE_MILLIS, PROP_CACHE_USE_SOFT_REFERENCES, PROP_LOCALE, PROP_LOG_LEVEL, PROP_PROGRAMMER_LOCALE, PROP_PROVIDER, PROP_SCHEMA, PROPVALUE_REMOVE, STATE_AUTHENTICATED, STATE_INITIALIZED, STATE_OPEN, STATE_UNINITIALIZED`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareSession
`getCalendar, getDefaultContainer, getDefaultContainer, getRootContainer, getRootContainer, getTimeZone, getTimeZone, setTimeZone`

Methods inherited from interface com.compoze.collab.ISession
`addLogListener, close, endProfile, endTimer, endTimer, getAdminLocale, getAttribute, getDefaultRootContainer, getDefaultRootContainer, getLocale, getLogLevel, getOption, getOptions, getProgrammerLocale, getProperty, getProvider, getState, invalidateCache, isCapabilitySupported, log, login, login, logout, open, open, removeAttribute, setAdminLocale, setAttribute, setLocale, setLogLevel, setOption, setOptions, setProgrammerLocale, startProfile, startProfile, startTimer, startTimer`

Field Detail

### INTERNAL_NAME

    public static final java.lang.String INTERNAL_NAME

  The internal name of the Domino provider (passed when creating a session).

### PROP_SERVICE_URL

    public static final java.lang.String PROP_SERVICE_URL

  Required- The hostname of the Compoze Domino Service machine as it can be resolved from this machine. The hostname can be either a machine name or IP address. This is also referred to as the Domino/Notes Service Host Name.

### PROP_USER_USERNAME

    public static final java.lang.String PROP_USER_USERNAME

  Required- The username of the user that will access the Domino mailbox.

### PROP_USER_PASSWORD

    public static final java.lang.String PROP_USER_PASSWORD

  Required- The Internet password of the user that will access the Domino mailbox.

### PROP_DOMINO_MAILBOX

    public static final java.lang.String PROP_DOMINO_MAILBOX

  Optional- The name of a mailbox to connect to (defaults to username).

### PROP_DOMINO_LOOKUP_SERVER

    public static final java.lang.String PROP_DOMINO_LOOKUP_SERVER

  Optional- The name of a machine in the Notes domain that will be used to lookup the specified user's mailbox information, such as database and server name to connect to (defaults to the same machine as the Domino Service). This is also referred to as the Domino Catalog Host Name.

### PROP_PROXY_URL

    public static final java.lang.String PROP_PROXY_URL

  Optional- The hostname of the proxy server as it can be resolved from this machine. The hostname can be either a machine name or an IP address.

### PROP_PROXY_PORT

    public static final java.lang.String PROP_PROXY_PORT

  Optional- The port number which the proxy server listens to.

### PROP_PROXY_USERNAME

    public static final java.lang.String PROP_PROXY_USERNAME

  Optional- The username to log on to the proxy server.

### PROP_PROXY_PASSWORD

    public static final java.lang.String PROP_PROXY_PASSWORD

  Optional- The password for the user to log on to the proxy server.

### PROP_VERSION_CHECK

    public static final java.lang.String PROP_VERSION_CHECK

  Optional- The setting for whether or not service version checking will be performed.

### PROP_SOCKET_TIMEOUT_MS

    public static final java.lang.String PROP_SOCKET_TIMEOUT_MS

  Optional- The setting for socket timeout to use on HttpClient.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.